Communauté
AutoCAD – tous produits - Français
Bienvenue sur les forums AutoCAD d’Autodesk. Partagez vos connaissances, posez des questions, et explorez les sujets AutoCAD populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

AutoCAD : Propriétés personnalisées

5 RÉPONSES 5
RÉSOLU
Répondre
Message 1 sur 6
Adrien_DUB
266 Visites, 5 Réponses

AutoCAD : Propriétés personnalisées

Bonjour à tous,

 

Je souhaiterais savoir s'il est possible via un lisp ou un module VBA de modifier des propriétés personnalisées.

J'en ai un grand nombre et je dois seulement modifier certains noms.

 

Merci d'avance.


Le titre du sujet a été modifié par un modérateur pour faciliter la recherche. Titre original:
Propriétés personnalisées

Étiquettes (4)
5 RÉPONSES 5
Message 2 sur 6
O_Eckmann
en réponse à: Adrien_DUB

Bonjour,

 

Dans cette discussion, je donne un programme permettant d'ajouter/mettre à jour les propriétés personnalisées via Lisp

 

Olivier

Olivier Eckmann

EESignature

Message 3 sur 6
Adrien_DUB
en réponse à: Adrien_DUB

Bonjour,

 

Je voulais savoir si c'était possible à partir du fichier CSV exporté via "DWGProps2CSV par GC".

Je m'explique:

         - J'exporte les propriétés en CSV via la lisp.

         - Je modifie dans Excel.

         - J'importe dans le DWG.

Cela est-il possible ?

 

Merci.

 

Cordialement

 

Message 4 sur 6
felix.corre
en réponse à: Adrien_DUB

Bonjour,

J'ai ça qui traine en VBA directement dans AUTOCAD.

 

Pour exporter les propriétés personnalisés "Site", "Bâtiment" dans un fichier "test.xlsx", dans l'onglet "List"

Sub ExportCustomProp()
Dim i As Integer
Dim FEUILLE As String
Dim Value0 As String
Dim Value1 As String
Dim Odoc As AcadDocument
Dim oExcel As Object
Dim oBook As Object
Dim Filename As String


    Set Odoc = ThisDrawing.Application.ActiveDocument
    Filename = "C:\Desktop\test.xlsx"


    If Dir(Filename) <> "" Then
        If IsFileOpen(Filename) Then
            Set oExcel = CreateObject("Excel.Application")
            Set oBook = GetObject(Filename)
        Else
            Set oExcel = CreateObject("Excel.Application")
            Set oBook = oExcel.Workbooks.Open(Filename)
            oExcel.Visible = True
        End If
    Else
        MsgBox ("Le Fichier n'existe pas")
        Exit Sub
    End If
    FEUILLE = "List"
    Set ws = oBook.Sheets(FEUILLE)
    Set AcadApp = AutoCAD.AcadApplication
    AcadApp.Visible = True

For i = 1 To 1
DoEvents
ThisDrawing.SummaryInfo.GetCustomByIndex 0, "Site", Value0
ThisDrawing.SummaryInfo.GetCustomByIndex 1, "Bâtiment", Value1
ws.Cells(i, "A") = Value0
ws.Cells(i, "B") = Value1
Next i

End Sub

 

Pour importer les propriétés personnalisés "Site", "Bâtiment" dans un fichier "test.xlsx", dans l'onglet "List"

Sub ImportCustomProp()
Dim i As Integer
Dim FEUILLE As String
Dim Value0 As String
Dim Value1 As String
Dim Odoc As AcadDocument
Dim oExcel As Object
Dim oBook As Object
Dim Filename As String


    Set Odoc = ThisDrawing.Application.ActiveDocument
    Filename = "C:\Desktop\test.xlsx"


    If Dir(Filename) <> "" Then
        If IsFileOpen(Filename) Then
            Set oExcel = CreateObject("Excel.Application")
            Set oBook = GetObject(Filename)
        Else
            Set oExcel = CreateObject("Excel.Application")
            Set oBook = oExcel.Workbooks.Open(Filename)
            oExcel.Visible = True
        End If
    Else
        MsgBox ("Le Fichier n'existe pas")
        Exit Sub
    End If
    FEUILLE = "List"
    Set ws = oBook.Sheets(FEUILLE)
    Set AcadApp = AutoCAD.AcadApplication
    AcadApp.Visible = True

For i = 1 To 1
DoEvents
ThisDrawing.SummaryInfo.SetCustomByIndex 0, "Site", ws.Cells(i, "A")
ThisDrawing.SummaryInfo.SetCustomByIndex 1, "Bâtiment", ws.Cells(i, "B")
Next i

End Sub

  

Cordialement,

Message 5 sur 6
patrick.emin
en réponse à: Adrien_DUB

Bonjour @Adrien_DUB 

Si une des réponses à votre question résout votre problème, vous a permis de le comprendre ou contribue significativement à sa résolution, voulez vous avoir l'amabilité de cliquer sur le bouton  APPROUVER LA SOLUTION  en bas de la réponse qui apporte une solution?

Cela aidera les futurs lecteurs qui pourront directement aller à la solution.

Merci de ne pas accepter comme solution le message que vous êtes en train de lire.

Si nos équipes de support technique ont pu vous apporter une solution ou contribuer significativement à vous aider en dehors de ce forum, pouvez vous partager ici la solution trouvée et cliquer sur le bouton  APPROUVER LA SOLUTION  de façon qu'elle bénéficie à la communauté?
Merci.


Patrick Emin animateur de la communauté francophone


Vous avez trouvé un message utile? Alors donnez un "J'aime" à ce message!
Votre question a eu une réponse satisfaisante? Voulez vous avoir l'amabilité de cliquer sur le bouton
 APPROUVER LA SOLUTION  en bas de la réponse qui apporte une solution?
Signez notre Livre d'Or
Message 6 sur 6
Adrien_DUB
en réponse à: felix.corre

Bonjour,

 

Je vais essayer.

 

Merci.

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums  

Autodesk Design & Make Report